<!-- -------------------- ./mgmt/multisign_sign.html -------------------- -->
<h2><i class="fr-icon-draft-fill"></i>&nbsp;Signature des documents selectionnés</h2>
<!-- hidden form -->
<form id="multisign_form" method="post" action="<?php echo $this->URL->GetMgmtMethod("MultiSignFinal"); ?>" >
	<input type="hidden" name="ACTION" id="multisign_action" value="none">
	<input type="hidden" name="NAME" id="multisign_name" value="none">
	<input type="hidden" name="PHONE" id="multisign_phone" value="none">
	<input type="hidden" name="MAIL" id="multisign_mail" value="none">
	<input type="hidden" name="CODE" id="multisign_code" value="none">
	<input type="hidden" name="MESSG" id="multisign_messg" value="none">
	<input type="hidden" name="SIGIMG" id="multisign_sigimg" value="none">
	<?php  foreach($this->F2S as $elem):  ?>
	<input type="hidden" name="SIGNFILES[]" value="<?php echo $elem; ?>">
	<?php  endforeach; ?>
</form>
<div id="sign_div_step1">
	<div class="fr-stepper">
		<h2 class="fr-stepper__title">
			<span class="fr-stepper__state">Étape 1 sur 3</span>
			Vérification des documents sélectionnés pour acceptation
		</h2>
		<div class="fr-stepper__steps" data-fr-current-step="1" data-fr-steps="3"></div>
		<p class="fr-stepper__details">
			<span class="fr-text--bold">Étape suivante :</span> Informations du signataire
		</p>
	</div>
	<p class="fr-text--lg">Je reconnais avoir pris connaissance des documents sélectionnés ci-contre.</p>

	<button class="fr-btn fr-btn--icon-right fr-icon-arrow-right-line" type="button" onclick="MultiSignStep2()">&nbsp;Suivant</button>
	 
</div>

    <!-- step 2 -->
    
    <div style="display: none" id="sign_div_step2">
		<div class="fr-stepper">
			<h2 class="fr-stepper__title">
				<span class="fr-stepper__state">Étape 2 sur 3</span>
				Informations du signataire
			</h2>
			<div class="fr-stepper__steps" data-fr-current-step="2" data-fr-steps="3"></div>
			<p class="fr-stepper__details">
				<span class="fr-text--bold">Étape suivante : Signature</span> 
			</p>
		</div>
      	<form role="form" id="multisign_sign_form_step2">

	  <p  class="fr-text--lg">Vos informations de signature sont déjà connues : Vous pouvez éventuellement les modifier <a href="https://gaapse.girondenumerique.fr/compte" target="_blank">ICI</a></p>
		
	  <div class="fr-alert fr-alert--error fr-m-2v" role="alert" style="display: none" id="sign_div_err1">
	    <p class="text-center">Vous devez fournir votre nom et votre téléphone !</p>
	  </div>
	  
	  <div class="fr-input-group">
	    <label for="signnam" class="fr-label"><em>Nom Prénom (Entreprise) :</em></label>
	    <input type="text" class="fr-input" value="<?php echo $this->UINFO['gvname'].' '.$this->UINFO['name']; ?>" name="SIGNNAM" id="signnam" placeholder="votre nom" required>
	  </div>
          
	  <div class="fr-input-group">
	    <label for="signmel" class="fr-label"><em>Adresse email :</em></label>
	    <input type="text" class="fr-input" value="<?php echo $this->UINFO['mail']; ?>" name="SIGNMEL" id="signmel" placeholder="votre mail" required>
	  </div>
          
	  <div class="fr-input-group">
	    <label for="signtel" class="fr-label"><em>Téléphone :</em></label>
	    <input type="tel" class="fr-input" value="<?php echo $this->UINFO['signphone']; ?>" name="SIGNTEL" id="signtel" placeholder="06nnnnnnnn" pattern="^0(6|7)[0-9]{8}$" required>
	  </div>
	  <?php if ( isset($this->UINFO['imageSignature']) and $this->UINFO['imageSignature'] != "" ) : ?>
	  <p class="fr-label">Signature :</p>
	  
	  <div class="fr-input-group">
	    <div class="fr-checkbox-group">
	      <input type="checkbox" id="signimg" name="OWNIMAGE" checked>
	      <label class="fr-label" for="signimg">
		Utiliser cette image pour la signature : </label>
	    </div>
	    <img src="<?php printf('data:%s;base64,%s',$this->UINFO['mimetype'],$this->UINFO['imageSignature']); ?>">
	  </div>
	  <?php endif; ?>
	  <button class="fr-btn " type="button" onclick="MultiSignAccept()">Signer</button>		   
	   </form>
	</div> 
 

    <!-- final set oki -->
	 
    <div style="display: none" id="sign_div_oki">
		<div class="fr-stepper">
			<h2 class="fr-stepper__title">
				<span class="fr-stepper__state">Étape 3 sur 3</span>
				Signature
			</h2>
			<div class="fr-stepper__steps" data-fr-current-step="3" data-fr-steps="3"></div>
		</div>
       

		<form class="form-horizontal" role="form" id="multisign_sign_form_step3">
	     
			<?php foreach($this->DOSINFO['filelist'] as $ind => $value): ?>
			<input type="hidden" value="<?php echo $value; ?>" name="JRALN[]">
			<input type="hidden" value="" id="jral1_<?php echo $ind; ?>" name="JRALV[]">
			<?php endforeach; ?>
	   
	   		<input type="hidden" name="DID" id="DID" value="<?php echo $this->DOSINFO['did']; ?>">
	   
	   		<p class="fr-text--lg">Un code secret (à usage unique) vous a été envoyé par SMS. Vous avez 15 minutes pour fournir ce code, passé ce délai, votre signature sera invalidée !</p>
	   
			<div class="fr-input-group">
				<label class="fr-label"><em>Code Secret :</em></label>
				<input type="text" class="fr-input" value="" name="SIGNCODE" id="SIGNCODE" required>
			</div>
        
			<button class="fr-btn" type="button" onclick="MultiSignAcceptFinal('accept')"><i class="fr-icon-checkbox-circle-line"></i>&nbsp;Valider</button>
		</form>
	</div>

    
    <!-- ----- -->
	 
    <div class="fr-alert fr-alert--error" role="alert"  style="display: none" id="sign_div_err">
      <p>Un problème est survenu lors du processus de signature, veuillez contacter le responsable de la plate-forme !</p>
    </div>
    
